Package org.eclipse.rdf4j.model.impl

## Class LinkedHashModel.ModelStatement

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractStatement
  - - org.eclipse.rdf4j.model.impl.SimpleStatement
    - - org.eclipse.rdf4j.model.impl.ContextStatement
      - - org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelStatement

- All Implemented Interfaces:
    `Serializable`, `Statement`
  Enclosing class:
    LinkedHashModel

      public static class LinkedHashModel.ModelStatement
      extends ContextStatement

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelStatement​(org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> subj, org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<IRI> pred, org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Value> obj, org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> ctx)` |
    `ModelStatement​(org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> subj, org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<IRI> pred, org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Value> obj, org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> ctx, Statement statement)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` | Compares this statement to another object.
    `Resource` | `getContext()` | Gets the context of this statement.
    `Value` | `getObject()` | Gets the object of this statement.
    `IRI` | `getPredicate()` | Gets the predicate of this statement.
    `Statement` | `getStatement()` |
    `Resource` | `getSubject()` | Gets the subject of this statement.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.ContextStatement

      `exactSameContext, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleStatement

      `exactSameObject, exactSamePredicate, exactSameSubject`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractStatement

      `hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelStatement

          public ModelStatement​(org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> subj,
                                org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<IRI> pred,
                                org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Value> obj,
                                org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> ctx)

    - #### ModelStatement

          public ModelStatement​(org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> subj,
                                org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<IRI> pred,
                                org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Value> obj,
                                org.eclipse.rdf4j.model.impl.LinkedHashModel.ModelNode<Resource> ctx,
                                Statement statement)

  - ### Method Detail

    - #### getSubject

          public Resource getSubject()

      Description copied from interface: `Statement`
      Gets the subject of this statement.
      Specified by:
        `getSubject` in interface `Statement`
      Overrides:
        `getSubject` in class `SimpleStatement`
      Returns:
        The statement's subject.

    - #### getPredicate

          public IRI getPredicate()

      Description copied from interface: `Statement`
      Gets the predicate of this statement.
      Specified by:
        `getPredicate` in interface `Statement`
      Overrides:
        `getPredicate` in class `SimpleStatement`
      Returns:
        The statement's predicate.

    - #### getObject

          public Value getObject()

      Description copied from interface: `Statement`
      Gets the object of this statement.
      Specified by:
        `getObject` in interface `Statement`
      Overrides:
        `getObject` in class `SimpleStatement`
      Returns:
        The statement's object.

    - #### getContext

          public Resource getContext()

      Description copied from interface: `Statement`
      Gets the context of this statement.
      Specified by:
        `getContext` in interface `Statement`
      Overrides:
        `getContext` in class `ContextStatement`
      Returns:
        The statement's context, or null in case of the null context or if not applicable.

    - #### equals

          public boolean equals​(Object other)

      Description copied from interface: `Statement`
      Compares this statement to another object.
      Specified by:
        `equals` in interface `Statement`
      Overrides:
        `equals` in class `AbstractStatement`
      Parameters:
        `other` - the object to compare this statement to
      Returns:
        `true` if the other object is an instance of `Statement` and if their subjects, predicates, objects and contexts are equal; `false` otherwise

    - #### getStatement

          public Statement getStatement()